/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fntd;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.LinkedList;

/**
 *
 * @author greilich
 */
public class Commons {

    public static int getMin(int[] a) {
        if (a.length == 0)
            return 0;
        
        int b = a[0];
        for (int i = 1; i < a.length; i++)
            b = Math.min(b, a[i]);
        
        return b;
    }

    public static int getMax(int[] a) {
        if (a.length == 0)
            return 0;
        
        int b = a[0];
        for (int i = 1; i < a.length; i++)
            b = Math.max(b, a[i]);
        
        return b;
    }

    public static int[] getSequence(int start, int end) {
        int[] sequence = new int[end - start + 1];
        for (int i = 0; i < sequence.length; i++)
            sequence[i] = start + i;
            
        return (sequence);
    }

    public static double[] arrayCastToDouble(int[] arrayInt) {
        double[] arrayDouble = new double[arrayInt.length];

        for (int i = 0; i < arrayDouble.length; i++)
            arrayDouble[i] = (double) arrayInt[i];

        return arrayDouble;
    }

    public static double[] arrayCastToDouble(Integer[] arrayInt) {
        double[] arrayDouble = new double[arrayInt.length];

        for (int i = 0; i < arrayDouble.length; i++)
            arrayDouble[i] = arrayInt[i].doubleValue();

        return arrayDouble;
    }

    public static double[] arrayCastToDouble(Double[] arrayIn) {
        double[] arrayDouble = new double[arrayIn.length];

        for (int i = 0; i < arrayDouble.length; i++)
            arrayDouble[i] = arrayIn[i];

        return arrayDouble;
    }

    public static int[] arrayCastToInt(double[] a) {
        int[] b = new int[a.length];

        for (int i = 0; i < b.length; i++)
            b[i] = (int) a[i];

        return b;
    }

    public static double[] arrayCastToDouble(float[] arrayFloat) {
        double[] arrayDouble = new double[arrayFloat.length];

        for (int i = 0; i < arrayDouble.length; i++)
            arrayDouble[i] = (double) arrayFloat[i];

        return arrayDouble;
    }

    public static double[] arrayCastToDouble(String[] arrayString) {
        double[] arrayDouble = new double[arrayString.length];

        for (int i = 0; i < arrayDouble.length; i++)
            arrayDouble[i] = Double.parseDouble(arrayString[i]);

        return arrayDouble;
    }

    public static double[][] matrixCastToDouble(String[][] m) {
        double[][] matrixDouble = new double[m.length][];

        for (int i = 0; i < m.length; i++)
            matrixDouble[i] = arrayCastToDouble(m[i]);

        return matrixDouble;
    }

    public static double[][] transposeMatrix(double[][] m) {
        double[][] temp = new double[m[0].length][m.length];
        for (int i = 0; i < m.length; i++)
            for (int j = 0; j < m[0].length; j++)
                temp[j][i] = m[i][j];
                
        return temp;
    }

    public static String[][] readCSV(String filename) throws FileNotFoundException, IOException {
        BufferedReader CSVFile = new BufferedReader(new FileReader(filename));
        LinkedList<String[]> rows = new LinkedList<>();

        String dataRow;

        while ((dataRow = CSVFile.readLine()) != null)
            rows.addLast(dataRow.split(","));

        return (rows.toArray(new String[rows.size()][]));
    }
}
