/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fntd;

import fntd.io.OpenImage;
import fntd.io.SaveImage;
import ij.ImagePlus;
import ij.ImageStack;
import ij.plugin.HyperStackConverter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;
import org.apache.commons.io.FilenameUtils;

/**
 *
 * @author greilich
 */
public class Test {

    public static String message() {
        return ("Connection to FNTD java package established.");
    }

    public static void main(String[] args) throws FileNotFoundException, IOException, FNTDexception {
        System.out.println("Hallo, test run!");

//        ImagePlus img = OpenImage.open("D:/workspaces/FNTDCalibration/LSM/Slices/LET/hm2102_4snaps.tif");
//        
//        Background bkg = new Background();
//        ImagePlus bimg = bkg.getBackground(img, 30);
//        
//        FNTDtracks ft = new FNTDtracks(img, 3, 3.0, 0.6, 0);
//        
//        ft.linkParticles(2, 10, 3.0, 1.0, 1.0, 1.0, 1.0, 40, 3, true, 0.2, 40);
//        ft.filterTrackLength(0);
//        
//        DisplayImage.show(img, ft);
//
//        double test[][] = ft.getProperties(img, 3, 7, true);
        Test.FileConverter();
        
        System.out.println("TschÃ¼ss, test run!");
        //       System.exit(0);
    }

    public static void FileConverter() {
        File folder = new File("D:/workspaces/FNTDCalibration/LSM/Slices/LET/");
        File[] listOfFiles = folder.listFiles();

        ArrayList<String> ids = new ArrayList();
        ArrayList<String> fullnames = new ArrayList();
        ArrayList<String> basenames = new ArrayList();

        int j = -1;
        for (int i = 0; i < listOfFiles.length; i++) {
            if (listOfFiles[i].isFile()) {
                if (listOfFiles[i].getName().contains("lsm")) {
                    fullnames.add(listOfFiles[i].getAbsolutePath());
                    j++;
                    basenames.add(FilenameUtils.getBaseName(fullnames.get(j)));
                    ids.add(basenames.get(j).substring(0, 6));
                }
            }
        }
        String thePath = FilenameUtils.getFullPath(fullnames.get(0));

        Set<String> uniqueIds = new HashSet<String>(ids);
        for (String curId : uniqueIds) {
            ArrayList<Integer> indexList = new ArrayList<Integer>();
            for (int i = 0; i < ids.size(); i++) {
                if (curId.equals(ids.get(i))) {
                    indexList.add(i);
                }
            }
            ImagePlus img = OpenImage.open(fullnames.get(indexList.get(0)));
            ImageStack is = new ImageStack(img.getWidth(), img.getHeight());
            for (int i = 0; i < indexList.size(); i++) {
                String curFile = fullnames.get(indexList.get(i));
                img = OpenImage.open(fullnames.get(indexList.get(i)));
                img.setPosition(1, 1, 1);
                is.addSlice(img.getProcessor());
            }
            ImagePlus resImg = new ImagePlus(curId, is);
 //           ImageConverter ic = new ImageConverter(resImg);
 //           ic.convertToGray16();
            resImg = HyperStackConverter.toHyperStack(resImg, 1, 1, indexList.size(), "xyztc", "grayscale");
            SaveImage.saveTIFF(resImg, thePath + curId + "_" + indexList.size() + "snaps.tif");
        }

    }
}
