FNTD.apply <- function(jimg, cycle = c("slices", "frames", "channels"), fun, ...){
  margin <- NULL
  dims   <- dim(jimg)
  
  if("x"%in%cycle & dims[1] > 1)
    margin <- c(margin, 1)
  
  if("y"%in%cycle & dims[2] > 1)
    margin <- c(margin, 2)
  
  if("slices"%in%cycle & dims[3] > 1)
    margin <- c(margin, 3)
  
  if("frames"%in%cycle & dims[4] > 1)
    margin <- c(margin, 4)
  
  if("channels"%in%cycle & dims[5] > 1)
    margin <- c(margin, 5)
  
  
  if(is.null(margin))
    fun(jimg[,,,,], ...) 
  else
    apply(jimg[,,,,], margin, fun, ...)
  
}
