FNTD.copy.tracks <- function(source.jimg, dest.jimg){

  if(class(source.jimg) != "FNTDjImage")
    stop("Object source.jimg has to be of class \"FNTDjImage\".")
  
  
  if(class(dest.jimg) != "FNTDjImage")
    stop("Object dest.jimg has to be of class \"FNTDjImage\".")
  
  if(source.jimg@tracks == .jnull())
    stop("No track information available in source image.")
  
  dest.jimg@tracks <- J("fntd/tracking/FNTDtracks", "duplicate", source.jimg@tracks)
  
  return(dest.jimg)
}