FNTD.get.range <- function(tracks, LET.file) {
  #V1 = Energy, V2 = LET, V3 = RANGE
  
  LET <- read.table(LET.file, sep=',')
  tracks$range.FNTD <- rep(0, nrow(tracks))
  
  for (j in 1:nrow(tracks))
    tracks$range.FNTD[j] <- approx(x=LET$V1, y=LET$V3, tracks$energy[[j]][1], method = "linear")$y
  
  return (tracks)
}