message("###########################\n...starting cluster...\n")

# Remove old log
file.remove("cluster.log")

# Set up cluster
cl <- makeCluster(getOption("cl.cores", detectCores()),
                  outfile = "cluster.log")

# Steup packages on cluster
clusterCall(cl,
            function(){ options(java.parameters = "-Xmx5g")
              require(FNTD)})

# Set common variables on all nodes
clusterExport(cl, 
              varlist = list("my.options",
                             "df.meta",
                             "df.tracking.par"))
