\name{FNTD.copy.tracks}
\alias{FNTD.copy.tracks}

\title{
Copy track information to another image
}
\description{
Copies track data (if available) from a source to a destination image. 
}
\usage{
FNTD.copy.tracks(source.jimg, dest.jimg)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{source.jimg}{
%%     ~~Describe \code{source.jimg} here~~
}
  \item{dest.jimg}{
%%     ~~Describe \code{dest.jimg} here~~
}
}
\details{
During the operation, the actual java object is duplicated, so source.jimg may be removed without affecting dest.jimg. Any track data assigned to dest.jimg is overridden by copying.\cr
Up to now, the compatibility of the track data to be copied with the destination image dimensions is NOT CHECKED!
}
\value{
An FNTDjimg object with same image as dest.jimg but new track data.
}

\author{
Steffen Greilich
}
