\name{FNTD.expand.tracks}
\alias{FNTD.expand.tracks}

\title{
Aims to expand existing tracks with non-registered points after the endpoint.
}
\description{
To increase the accuracy of the track endpoint measurement, it is sometimes necessary to include low intensity trackspots at the end of the track. This allows for more accurate endpoint refinement.
}

\usage{
FNTD.apply.axial.correction(jimg, radius = 3)
}

\arguments{
  \item{jimg}{
FNTDjimage object
}
  \item{radius}{
The radius used for particle selection, equivalent to the radius in FNTD.find.trackspots
}
}

\value{
Corrected FNTDjImage object.
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}