\name{FNTD.tracks.from.ID}
\alias{FNTD.tracks.from.ID}

\title{
Keeps the tracks in the given \code{FNTDjImage} with the IDs given by \code{track.ids}.
}
\description{
This routine allows one to filter the tracks in a \code{FNTDjImage} after processing in R. This is useful for visualization of the filtered tracks.
}

\usage{
FNTD.tracks.from.ID(jimg, track.ids)
}

\arguments{
  \item{jimg}{
  FNTDjImage object
}
  \item{track.ids}{
  Array with track IDs that should be kept.
}
}

\value{
Filtered FNTDjImage object.
}

\author{
Jasper Kouwenberg
}

\seealso{

}