\name{FNTD.remove}
\alias{FNTD.remove}

\title{
Thorough removal of an rJava-referenced Java object.
}
\description{
Due to an unknown issue in the rJava package, memory might not be freed, when an Java object is deleted. As a workaround for the time being, this function explicitely removes the objects and calls Java's garbage collector.
}

\usage{
FNTD.remove(...)
}

\arguments{
  \item{...}{
List of R objects (Java references) to be removed.
}
}

\author{
S. Greilich (Jasper Kouwenberg found out and provided the code)
}
