\name{FNTD.tilt.tracks}
\alias{FNTD.tilt.tracks}

\title{Tilt tracks}

\description{Tilts tracks with the track spots in the upper most slice staying fixed.}

\usage{FNTD.tilt.tracks(jimg, shift.x, shift.y)}

\arguments{
  \item{jimg}{FNTDjImage with track information assigned.}
  \item{shift.x, shift.y}{Translation (in x and y) per slice in pixel units.}
}

\details{
At the moment, the magnitude of tilting can only be set by a constant translation, i.e. track spots are moved by (\code{shift.x},\code{shift.y}) * (slice number - 1).\cr
TODO: set tilt angle...}

\value{
An FNTDjImage object with tilted tracks assigned.}

\author{M. Heinz, S. Greilich}

\seealso{Demo \code{evaluate.tracks}.}
