apply.mask <- function(img, mask){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage")
  }

  if(class(mask) != "FNTDmask"){
    stop("mask has to be of class FNTDmask")
  }

  if(length(mask) != length(img)){
    stop("Invalid mask (wrong length, has to be length of img)")
  }
    
  img@mask <- mask
  
  return(img)
}
