create.mask.crop <- function(img, x.min, x.max, y.min, y.max){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage");
  }
 
  mask <- rep(0, length(img))
  
  ii   <- (img@data[,1] >= x.min) &
          (img@data[,1] <= x.max) &
		  (img@data[,2] >= y.min) &
		  (img@data[,2] <= y.max)
  
  mask[ii] <- rep(1, sum(ii))
  
  return(new("FNTDmask", mask = mask))
}
