\name{read.FNTD.tracks}
\alias{read.detected.tracks}
\title{
Read FNTD tracks
}
\description{
Reads track data for FNTDs. Two input formats are possible: text as exported by the Mosaic particle tracker plugin of ImageJ and the XXX format (Prague).
}
\usage{
read.detected.tracks(filename, fileformat = "ImageJ")
}

\arguments{
  \item{filename}{ filename of track data}
  \item{fileformat}{ either "ImageJ" (default) or "Prague"}
}

\value{
An FNTDtracks object
}
\author{
Steffen Greilich
}
\examples{
## Spaeter
}
