FNTD.apply.polar.correction <- function(tracks, sigma.ax, sigma.lat) {
  angle  <- tracks$theta.deg*pi/180;
  
  tracks$mean.intensity <-
    tracks$mean.intensity /
    (sigma.lat/sqrt((sigma.ax*sin(angle))^2 + 
                      (sigma.lat*cos(angle))^2));
  
  return(tracks)
}