FNTD.expands.tracks <- function(jimg, radius=3){
  
  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
  if(is.jnull(jimg@tracks))
    stop("No track information available yet, run \"FNTD.find.tracks\" or similar before.")
  
  jimg@tracks <- J("fntd/tracking/FNTDtracks",
                   "expandTrackLength",
                   jimg@imagePlus,
                   jimg@tracks,
                   as.numeric(radius))
  
  return(jimg)
} 