FNTD.filter.borders <- function(tracks, border.distance = 0,
                                image.size = list(n.x = 1024,
                                                  n.y = 1024,
                                                  n.slices = 30)) {
  
  tracks <- tracks[tracks$x.end >= border.distance,]
  tracks <- tracks[tracks$x.end <= (image.size$n.x - border.distance),]
  tracks <- tracks[tracks$y.end >= border.distance,]
  tracks <- tracks[tracks$y.end <= (image.size$n.y - border.distance),]
  
  return (tracks)
}