FNTD.find.trackspots <- function(jimg, radius, cutoff, percentile = 0, threshold = 0){
  
  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
#  if((!is.null(radius))&(!is.null(cutoff))&(!is.null(percentile))){   # if all parameters given start silent mode
    jimg@tracks <- .jnew("fntd/tracking/FNTDtracks",
                      jimg@imagePlus, 
                      as.integer(radius),
                      as.numeric(cutoff),
                      as.numeric(percentile), 
                      as.numeric(threshold))
#   }else{                                                            # if not, open window for interactive use
#     jimg@tracks <- .jnew("fntd/tracking/FNTDtracks",
#                       "getParticlePositions",
#                       jimg@imagePlus)
#   }
  return(jimg)
} 