FNTD.find.weka.trackspots <- function(jimg, classifier.path, classified.image.path = "", overwrite = FALSE, radius = 3){
  
  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
  jimg@tracks <- .jnew("fntd/tracking/FNTDtracks",
                       jimg@imagePlus, 
                       as.character(classifier.path), 
                       as.character(classified.image.path), 
                       as.logical(overwrite),
                       as.integer(radius))
  return(jimg)
}