FNTD.get.background <- function(jimg, sliding.window.length = 50) {
  
  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
  if(is.null(jimg@imagePlus))
    stop("No valid image given.")
  
  return( new( "FNTDjImage",
			   imagePlus 			= .jcall(.jnew("fntd/background/Background"),
			                           "Lij/ImagePlus;",
			                           "getBackground",
			                           jimg@imagePlus, 
			                           as.integer(sliding.window.length)),
				 tracks 				= jimg@tracks))
}