FNTD.get.tracklength <- function(tracks, FNTD.WER, L) {
  
  tracks$residual.depth <- FNTD.WER*tracks$zpos.last/cos(tracks$theta.deg*pi/180)  #Water equivalent length in FNTD
  tracks$tracklength    <- L/cos(tracks$theta.deg*pi/180) + tracks$residual.depth  #Water equivalent total length of track
  
  return(tracks)
}