FNTD.show.image <- function(jimg, showTracks = FALSE, track.ids = NULL){

  if(class(jimg) != "FNTDjImage")
	  stop("Object jimg has to be of class \"FNTDjImage\".")
	
  if(showTracks && is.jnull(jimg@tracks))
    stop("Track overlay requested but no track information available.")
  
  if(showTracks && !is.null(track.ids))
    J("fntd/access/DisplayImage")$show(jimg@imagePlus, J("fntd/tracking/FNTDtracks",
                                                         "filterTrackID",
                                                         .jnew("fntd/tracking/FNTDtracks", jimg@tracks),
                                                         .jarray(track.ids,"[D")))
  else if (showTracks)
    J("fntd/access/DisplayImage")$show(jimg@imagePlus, jimg@tracks)
  else
    J("fntd/access/DisplayImage")$show(jimg@imagePlus)
}