FNTD.surface.theta.correction <- function(fit.x, fit.y,
                                          surface.param = list(z.offset = 0,
                                                               x.slope = 0,
                                                               y.slope = 0,
                                                               image.offset = 0,
                                                               theta.cor = FALSE)) {
  
  x.slope <- fit.x - surface.param$x.slope
  y.slope <- fit.y - surface.param$y.slope
  
  return (list(x.slope, y.slope))
}