message("###########################\n...tracking and linking...\n")

source("demo/ProcessingScripts/TrackAndLinkFunction.R")

if(FNTD.get.option(my.options, "correction.background") == "After tracking"){
  stop("After tracking correction of background NOT YET IMPLEMENTED!!")
}

if(!FNTD.get.option(my.options, "use.tracking.results")){
  tracks         <- clusterApplyLB( cl,
                                    1:nrow(df.meta),
                                    track.and.link)
  save(tracks, file = file.path(FNTD.get.option(my.options, "data.path"), 
                                "tracks.Rda"))
}else{
  load(file.path(FNTD.get.option(my.options, "data.path"), 
                 "df.meta.Rda"))
  load(file.path(FNTD.get.option(my.options, "data.path"), 
                 "tracks.Rda"))
}
