\name{FNTD.filter.fitted}
\alias{FNTD.filter.fitted}

\title{
Removes tracks for which fitting of angles was unsuccesful. 
}
\description{
Sometimes it is not possible to fit the angles of a track, thereby giving wrong results. This routine filters those tracks from the dataframe.
}

\usage{
FNTD.filter.fitted(fits, tracks)
}

\arguments{
  \item{fits}{
Fit dataframe as given by FNTD.get.track.fits
}
  \item{tracks}{
Track dataframe as given by FNTD.get.track.properties
}
}

\value{
Filtered track dataframe
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}