source(file="include/default.R")

energies = c(5470)
ranges   = rep(0, length(energies))
modes    = 1:4
ex.RBE   = 4.378046

for (Imode in modes) {
  for (engy in 1:length(energies)) {
    load(file=paste('Data/Spheroids/Spheroid_am241_', energies[engy], 'keV_', Smode[Imode],'.rda', sep=''))
    
    av.RBE <- mean(polyapply(res$energy.nuc/res$l.nuc, LET.fit$coefficients), na.rm=T)
    
    cat(Smode[Imode], ",", energies[engy] ,"keV :", round(mean(res$energy.nuc/res$l.nuc, na.rm=T), 0), "±", round(sd(res$energy.nuc/res$l.nuc, na.rm=T), 0), 
        ", RBE:", round(av.RBE/ex.RBE, 2),"\n")
  }
}