find.duplicates <- function(set1, matched.to){
  ii         <- duplicated(matched.to@track.no, incomparables = 0)
  duplicates <- unique(matched.to@track.no[ii])
  n.changed  <- 0
  for(dup in duplicates){
    # dup <- duplicates[1]
    ii                              <- matched.to@track.no == dup
    distances                       <- sqrt((set1@x[ii] - matched.to@x[ii])^2 + 
      (set1@y[ii] - matched.to@y[ii])^2)
    jj                              <- min(distances) == distances
    matched.to@track.no[ii][!jj]    <- 0
    matched.to@x[ii][!jj]           <- 0.0
    matched.to@x[ii][!jj]           <- 0.0
    n.changed                       <- n.changed + sum(!jj)
  }
  return(list(n.changed  = n.changed,
              matched.to = matched.to))
}
