save.text.image <- function(img, filename, fileformat = "ImageJ"){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage")
  }
  
  if(fileformat == "ImageJ"){
	  write( x        = t(img@data[order(img@data[,2]),4]),
			   ncolumns = img@sizeX,
			   file     = filename,
			   sep      = "\t")
	  return()
	}

  stop("Invalid fileformat given.")
}
