save.tif.image <- function(img, filename, title = "FNTDimage"){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage")
  }
  
  res <- J("fntd/SaveImage")$saveTIFFImage(filename, title, img@data[,4], as.integer(img@sizeX), as.integer(img@sizeY), as.integer(img@sizeZ))
  if(res==0){
	cat("Image saved successfully.\n")
	}else{
	cat("Problem during saving image.\n")}
}
