\name{FNTD.image.access}
\alias{get.data}
\alias{get.values}
\alias{get.norm.factor}
\alias{get.frequency.MHz}

\title{Access routines to FNTDimage objects}
\description{ These functions provide easy and controlled access to data stored in an FNTDimage object. Beside, the user can always access the slots directly, e.g. \code{mask <- img@mask}, which is however discouraged for most applications.}

\usage{
get.data(img, use.mask = TRUE)
get.values(img, use.mask = TRUE)
get.norm.factor(img)
get.frequency.MHz(img, use.mask = TRUE)
}

\arguments{
  \item{img}{ FNTDimage object}
  \item{use.mask}{ if TRUE, only masked pixels will be used.}
}

\value{Depending on function matrix, vector or single value.}

\author{Steffen Greilich}

\examples{## Spaeter}
